diff --git a/docs/CHANGELOG b/docs/CHANGELOG
index 86322cdb..1a386fbb 100644
--- a/docs/CHANGELOG
+++ b/docs/CHANGELOG
@@ -1,4 +1,5 @@
 05/02/2017 Version 4.2.5
+    - Coverity static scan detected issues (#374)
     - Fuzz should not be overwritting Layer 3 (#372)
     - Add --fuzz-factor option to specify fuzz ratio (#371)
     - Warnings when building on old distributions (#368)
diff --git a/src/tcpprep.c b/src/tcpprep.c
index 5d705319..9a60460d 100644
--- a/src/tcpprep.c
+++ b/src/tcpprep.c
@@ -634,6 +634,9 @@ print_stats(const char *file)
     COUNTER pri = 0, sec = 0, nosend = 0;
     
     count = read_cache(&cachedata, file, &comment);
+    if (count > 65535)
+        exit(-1);
+
     for (COUNTER i = 1; i <= count; i ++) {
         int cacheval = check_cache(cachedata, i);
         switch (cacheval) {
